classification
Title: ctypes function pointer enhancements
Type: behavior Stage:
Components: Extension Modules Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: theller Nosy List: theller, vstinner
Priority: normal Keywords: patch

Created on 2008-01-11 20:34 by theller, last changed 2008-12-25 23:35 by vstinner. This issue is now closed.

Messages (4)
msg59744 - (view) Author: Thomas Heller (theller) * (Python committer) Date: 2008-01-11 20:34
ctypes NULL function pointers should have a False bool value.
msg59745 - (view) Author: Thomas Heller (theller) * (Python committer) Date: 2008-01-11 20:38
The patch will be extended ASAP so that 'None' is accepted by foreign
functions where a function pointer (callback function) is expected.

For consistency it should be possible to call the ctypes function
prototype with None to create a NULL callback function pointer.
msg67510 - (view) Author: Thomas Heller (theller) * (Python committer) Date: 2008-05-29 19:57
NULL function pointers are have a boolean False value now; svn rev 63792
(trunk) and rev 63793 (py3k).
msg78284 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2008-12-25 23:35
Changes applied to trunk (and py3k) so I guess that the issue can be 
closed.
History
Date User Action Args
2008-12-25 23:35:55vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg78284
nosy: + vstinner
2008-05-29 19:57:44thellersetmessages: + msg67510
2008-05-29 19:34:10thellersetmessages: - msg65466
2008-04-14 16:19:29thellersetmessages: + msg65466
2008-04-14 16:19:04thellersetfiles: - ctypes-funcptr.patch
2008-01-11 20:38:34thellersetmessages: + msg59745
title: ctypes NULL function pointers should have a False bool value. -> ctypes function pointer enhancements
2008-01-11 20:34:57thellercreate